## com.google.javascript.jscomp
Enum CssRenamingMap.Style

    java.lang.Object
      java.lang.Enum<CssRenamingMap.Style>
          com.google.javascript.jscomp.CssRenamingMap.Style

All Implemented Interfaces:
  Serializable, Comparable<CssRenamingMap.Style>

Enclosing interface:
  CssRenamingMap

    public static enum CssRenamingMap.Style

extends Enum<CssRenamingMap.Style>

Enum Constant Summary
`BY_PART`
`BY_WHOLE`

Method Summary
`static CssRenamingMap.Style` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CssRenamingMap.Style[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BY_WHOLE

    public static final CssRenamingMap.Style BY_WHOLE

### BY_PART

    public static final CssRenamingMap.Style BY_PART

Method Detail

### values

    public static CssRenamingMap.Style[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CssRenamingMap.Style c : CssRenamingMap.Style.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CssRenamingMap.Style valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null